# Sales & Listings

## SNS Marketplace <a href="#sns-marketplace" id="sns-marketplace"></a>

The SNS Marketplace program makes it possible to integrate the purchase and sale of SNS domains directly into your own dApps. The methods outlined in this section should be imported from the `@bonfida/name-offers` NPM package as linked below.&#x20;

#### Deployment: <a href="#deployment" id="deployment"></a>

* Program ID: `85iDfUvr3HJyLM2zcq5BXSiDvUWfw6cSE1FfNBo8Ap29`
* Auditor: Halborn
* Audit report: [here](https://github.com/HalbornSecurity/PublicReports/blob/master/Solana%20Program%20Audit/Bonfida_SNS_Solana_Program_Security_Assessment_Report_Halborn_Final.pdf)
* JS SDK: [NPM](https://www.npmjs.com/package/@bonfida/name-offers)

This smart contract supports these different types of sales:

* Fixed price
* Unsolicited
* Category
* P2P

Fixed price and unsolicited offers support the following tokens as quote currency: SOL, FIDA, USDC, USDT, mSOL, BONK, BAT, PYTH and bSOL.

All of these listings can be accessed on [sns.id](https://www.sns.id/)

The SNS Marketplace also supports a referral system, allowing users to share **15%** of the transaction fees. This feature enables participants to earn rewards by referring new users to the marketplace. In order to earn the portion of the fees, users must pass their wallet address in `buyFixedPrice`, `acceptOffer` and `takeCategoryOffer`.\ <br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sns.id/dev/sns-sdk/sales-and-listings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
